Subject: Re: Failed: Installing Postgresql under Cygwin on win98se
From: "S. L." <[email-masked]>
To: Tom Lauren <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Mar 2002 11:58:07 +0100 (MET)

[...]
> $ ls -l /bin/postgres
> 
> gives me this:
> 
> ?rw-r--r--    0 0        unknown   2706432 Jan  1  1970 /bin/postgres
> 
> where "unknown" is my win-username (ok might be confusing..)
> 1970 looks funny, but this ?rw-r--r-- makes me nervous...
> and chmod doesn´t work, so I have no idea how to change that!?
[...]

Just curious: do you actually "login" to your winbox? ... and how?
Because (as stated in a later thread message from you) having only the
"unknown" user in /etc/passwd is quite unusual. (Or you might login, but do you
have tcp/ip installed?)
Anyway, the "?" file type is, as Jason stated, your root cause.
(I have very) Few ideeas:
1. scandisk, diskdoctor or whatever (for convenience)
2. try with a different cygwin version (I use 1.3.6 and it's ok)
3. virus 
4. 
    a. ln -s /bin/bash.exe /bin/sh.exe (the list has some threads about this
-- wether to use the "hard" windows link, which is cp /bin/bash.exe
/bin/sh.exe or the above; anyway, I use "ln -s .." and it's ok).
    b. make sure that your starting sequence where you open your cygwin
shell (dosbox or rxvt) launches as a login one (i.e. "--login" option for bash or
"-ls" option for rxvt)

I would bet for one the first 3 issues here to solve the problem, but you
can give to the 4th a try, just in case :)

SLao

-- 
GMX - Die Kommunikationsplattform im Internet.
http://www.gmx.net

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/